Subject: Re: git on Cygwin: Not a valid object name HEAD

From: Marius Storm-Olsen <[email-masked]>
Date: Thu, 09 Aug 2007 08:47:07 +0200

Steffen Prohaska said the following on 09.08.2007 08:38:
> On Aug 9, 2007, at 8:01 AM, Marius Storm-Olsen wrote:
>> Does it work then? If so, the problem is likely to be that you
>> have Cygwin in the system path, which is not advisable/compatible
>> with MSys.
> 
> I had cygwin at the tail of my PATH. After removing it the 
> installation went through flawlessly.
> 
> A check in the installer would be a good idea.
> 
> Would you recommend running git only from the mingw shell prompt, 
> or can I start it also from a Cygwin shell prompt?

Well, some say that you can, but I'm not sure (especially since you're 
using Cygwin in Windows EOL mode, which is opposite of MSys).
The way I use it is either from the MSys shell, or directly from CMD 
shell. (If you have PATH=c:\msysgit\bin;C:\msysgit\mingw\bin;%PATH% it 
works quite well like that.)

Actually, I use CMD most of the time..

-- 
.marius